<template>

    <!--

    question: 2

    ---------------------------------------------------------- -->
    <div class='swiper-slide selection-question' data-hash='Q2'>
        <div class='outer'>
            <h1>How often will you shred?</h1>
            <p>
                How frequently you shred confidential documents has a significant bearing on which machine will fit your needs. While all machines can handle daily and weekly shredding, our larger shredders are better suited for monthly and quarterly shredding of large volumes of material.
            </p>
            <div class='how-often'>
                <label v-on:click="pickAnswer('daily')" class='button has-figure'>
                    <span class='button-figure figure-daily'></span>
                    <span class='button-caption'>Daily</span>
                </label>
                <label  v-on:click="pickAnswer('weekly')" class='button has-figure'>
                    <span class='button-figure figure-weekly'></span>
                    <span class='button-caption'>Weekly</span>
                </label>
                <label  v-on:click="pickAnswer('monthly')" class='button has-figure'>
                    <span class='button-figure figure-monthly'></span>
                    <span class='button-caption'>Monthly</span>
                </label>
                <label  v-on:click="pickAnswer('quarterly')" class='button has-figure'>
                    <span class='button-figure figure-quarterly'></span>
                    <span class='button-caption'>Quarterly</span>
                </label>
            </div>
        </div>
    </div>
</template>

<script>
  import { mapGetters, mapMutations } from 'vuex'

  export default {
    name: 'Question3',
    computer: {
      ...mapGetters(['isQuestion', 'answers']),
    },

    methods: {
      ...mapMutations(['goto', 'setFrequency']),

      pickAnswer(answer) {
        this.setFrequency(answer);
        this.goto(3);
      }
    },
  }
</script>